## com.bbn.openmap.layer.mysql
Class MysqlWKTGeometryFactory

    java.lang.Object
      |
      +--com.bbn.openmap.layer.mysql.MysqlWKTGeometryFactory

public class MysqlWKTGeometryFactory
extends java.lang.Object

This class represents the Factory class do create the different Geometry Objects. It takes as input a WKT Representation (text) of the Geometry. It should have less performance than one which manipulates WKB (binary) --> ToDo.

Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Constructor Summary
`MysqlWKTGeometryFactory()`

Method Summary
`static MysqlGeometry` `createGeometry(java.lang.String geotext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MysqlWKTGeometryFactory

    public MysqlWKTGeometryFactory()

Method Detail

### createGeometry

    public static MysqlGeometry createGeometry(java.lang.String geotext)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details